// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__A5EE3745_C048_42DA_B5C7_E829184A90D8__INCLUDED_)
#define AFX_MAINFRM_H__A5EE3745_C048_42DA_B5C7_E829184A90D8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DlgTxt.h"

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	void HaveImage(BOOL status) { m_HaveImage = status; }

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

	BOOL		m_HaveImage;

	CDlgTxt		m_textDlg;
	int			m_highCompression;

	void		Call_pack4png(int qual);
	BOOL		m_ElimSparseZones;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdateButtonPack(CCmdUI* pCmdUI);
	afx_msg void OnUpdateButtonRSave(CCmdUI* pCmdUI);
	afx_msg void OnButtonRSave();
	afx_msg void OnButtonPack1();
	afx_msg void OnButtonPack2();
	afx_msg void OnButtonPack3();
	afx_msg void OnButtonPack4();
	afx_msg void OnButtonBlend();
	afx_msg void OnUpdateButtonBlend(CCmdUI* pCmdUI);
	afx_msg void OnButtonQuant();
	afx_msg void OnButtonWeb();
	afx_msg void OnButtonEq();
	afx_msg void OnButtonPack5();
	afx_msg void OnButtonPack6();
	afx_msg void OnButtonReset();
	afx_msg void OnDocumentation();
	afx_msg void OnLocations();
	afx_msg void OnButtonGCT();
	afx_msg void OnButtonAll();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#define GET_FRM ((CMainFrame *)AfxGetMainWnd())
#define GET_APP ((CP4pAppApp *)AfxGetApp())

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__A5EE3745_C048_42DA_B5C7_E829184A90D8__INCLUDED_)
