/*
* Copyright 2003(c) Theo Pavlidis
* See PixEx.h for a detailed notice on the use of the software
*/	
#include "png.h"

int ReadPNGfile(png_bytep ** prow_pointers, png_uint_32 *pwidth, png_uint_32 *pheight, png_uint_32 *pbytes_per_pixel, char *name);

int WritePNGfile(png_byte image[], png_uint_32 width, png_uint_32 height, png_uint_32 bytes_per_pixel, char *name);

#ifndef BATCH_P4P
void HandleReturnOfWritePNGfile(int n, CString *msgp);
void HandleReturnOfReadPNGfile(int n, CString *msgp);
#endif

#define NOTHING_TO_WRITE		-10
#define CANNOT_HANDLE_PALETTE	-6
#define UNIMPLEMENTED_FEATURE	-5
#define NOT_A_PNG_FILE			-4
#define FAILED_TO_CREATE_FILE	-3
#define FAILED_TO_OPEN_FILE		-3
#define NO_MEMORY_TO_ALLOCATE	-2
#define ERROR_FROM_DEEP_PNG		-1
#define PNG_WRITE_OK			 0
#define PNG_READ_OK				 0
